From 11c61855b641a55547acb9843a7750a7331a25b5 Mon Sep 17 00:00:00 2001
From: Dmitry Shachnev <mitya57@gmail.com>
Date: Thu, 16 Feb 2017 12:46:49 +0300
Subject: Fix building the extensions for debug interpreter

Patch-Name: debug_interpreter.diff
---
 configure.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/configure.py b/configure.py
index 24ad011..6844e6e 100644
--- a/configure.py
+++ b/configure.py
@@ -1445,6 +1445,10 @@ def set_sip_flags(pyqt):
         sip_flags.append("-x")
         sip_flags.append("Py_v3")
 
+    # Generate code for a debug build of Python if needed.
+    if hasattr(sys, "gettotalrefcount"):
+        sip_flags.append("-D")
+
     qt_sip_flags.extend(sip_flags)
 
     # There is an issue creating QObjects while the GIL is held causing
